Magick++ 6.9.6

Public Member Functions | List of all members
Magick::PathSmoothCurvetoRel Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathSmoothCurvetoRel:
[legend]
Collaboration diagram for Magick::PathSmoothCurvetoRel:
[legend]

## Public Member Functions
| PathSmoothCurvetoRel (const Coordinate &coordinates_)
| PathSmoothCurvetoRel (const CoordinateList &coordinates_)
| PathSmoothCurvetoRel (const PathSmoothCurvetoRel &original_)
| ~PathSmoothCurvetoRel (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2614 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::PathSmoothCurvetoRel::PathSmoothCurvetoRel | ( | const Coordinate & | coordinates_ | ) |

Definition at line 1887 of file Drawable.cpp.

Magick::PathSmoothCurvetoRel::PathSmoothCurvetoRel | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 1892 of file Drawable.cpp.

Magick::PathSmoothCurvetoRel::PathSmoothCurvetoRel | ( | const PathSmoothCurvetoRel & | original_ | ) |

Definition at line 1897 of file Drawable.cpp.

Magick::PathSmoothCurvetoRel::~PathSmoothCurvetoRel | ( | void |  | ) |

Definition at line 1902 of file Drawable.cpp.

## Member Function Documentation

Magick::VPathBase * Magick::PathSmoothCurvetoRel::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 1919 of file Drawable.cpp.

void Magick::PathSmoothCurvetoRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 1906 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp